/* You can add global styles to this file, and also import other style files */
@import url('https://fonts.googleapis.com/css2?family=El+Messiri:wght@400;700&display=swap');
@import "assets/fonts/fontello";
:root {
  --fontFamily: 'El Messiri', sans-serif;
  --mainColor: #1369b0;
  --optionalColor: #606060;
  --whiteColor: #ffffff;
  --fontSize: 16px;
  --blackColor: #272727;
  --transition: .5s;
}

body {
  padding: 0;
  margin: 0;
  height: 100vh;
  font: {
    size: var(--fontSize);
    family: var(--fontFamily);
  };
}

a {
  color: var(--blackColor);
  transition: var(--transition);
  text-decoration: none;

  &:hover {
    color: var(--mainColor);
    text-decoration: none;
  }
}

.default-btn {
  border: none;
  position: relative;
  display: inline-block;
  text-align: center;
  overflow: hidden;
  z-index: 1;
  color: var(--blackColor);
  background-color: var(--whiteColor);
  transition: var(--transition);
  border-radius: 5px;
  font: {
    weight: 700;
    size: var(--fontSize);
  };
  padding: {
    right: 55px;
    left: 30px;
    top: 11px;
    bottom: 11px;
  };

  span {
    position: absolute;
    display: block;
    width: 0;
    height: 0;
    left: 0;
    background-color: #ff9900;
    transition: width 0.5s ease-in-out, height 0.5s ease-in-out;
    transform: translate(-50%, -50%);
    z-index: -1;
    border-radius: 5px;
  }

  i {
    position: absolute;
    right: 30px;
    top: 10px;
  }

  &:hover {
    color: var(--whiteColor);

    span {
      width: 225%;
      height: 562.5px;
    }
  }
}
